CREATE TABLE msc_cache_data (
    PLAN_ID                  NUMBER       ,
    WORKSHEET_ID             NUMBER       ,
    SQL                      CLOB         ,
    SQL_KEY                  NUMBER       ,
    BIND                     CLOB         ,
    BIND_KEY                 NUMBER       ,
    RESULTS                  CLOB             NOT NULL,
    USER_SECURITY_KEY        NUMBER       ,
    CACHE_DATE               DATE             NOT NULL,
    EXECUTION_TIME           NUMBER       ,
    DETAILS                  CLOB         ,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    PLAN_ID                  NUMBER       ,
    WORKSHEET_ID             NUMBER       ,
    SQL                      CLOB         ,
    SQL_KEY                  NUMBER       ,
    BIND                     CLOB         ,
    BIND_KEY                 NUMBER       ,
    RESULTS                  CLOB             NOT NULL,
    USER_SECURITY_KEY        NUMBER       ,
    CACHE_DATE               DATE             NOT NULL,
    EXECUTION_TIME           NUMBER       ,
    DETAILS                  CLOB         ,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_msc_cache_data PRIMARY KEY (PLAN_ID, WORKSHEET_ID, SQL_KEY, BIND_KEY, USER_SECURITY_KEY, PLAN_ID, WORKSHEET_ID, SQL_KEY, BIND_KEY, USER_SECURITY_KEY)
);
